Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGTextContentSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGTextContentSupport

public class SVGTextContentSupport
extends java.lang.Object

This class provides support for the SVGTextContentElement interface.

Nested Class Summary
`static class` | `SVGTextContentSupport.SVGTextPoint`

Constructor Summary
`SVGTextContentSupport()`

Method Summary
`static int` | `getCharNumAtPosition(org.w3c.dom.Element elt, float x, float y)` To implement `SVGTextContentElement.getCharNumAtPosition(SVGPoint point)`.
`static float` | `getComputedTextLength(org.w3c.dom.Element elt)` To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.
`protected static java.awt.geom.Point2D` | `getEndPos(SVGOMElement svgelt, SVGTextContent context, int charnum)`
`static SVGPoint` | `getEndPositionOfChar(org.w3c.dom.Element elt, int charnum)` To implement `SVGTextContentElement.getEndPositionOfChar(int charnum)`.
`protected static java.awt.geom.Rectangle2D` | `getExtent(SVGOMElement svgelt, SVGTextContent context, int charnum)`
`static SVGRect` | `getExtentOfChar(org.w3c.dom.Element elt, int charnum)` To implement `SVGTextContentElement.getExtentOfChar(int charnum)`.
`static int` | `getNumberOfChars(org.w3c.dom.Element elt)` To implement `SVGTextContentElement.getNumberOfChars()`.
`static float` | `getRotationOfChar(org.w3c.dom.Element elt, int charnum)` To implement `SVGTextContentElement.getRotationOfChar(int charnum)`.
`protected static java.awt.geom.Point2D` | `getStartPos(SVGOMElement svgelt, SVGTextContent context, int charnum)`
`static SVGPoint` | `getStartPositionOfChar(org.w3c.dom.Element elt, int charnum)` To implement `SVGTextContentElement.getStartPositionOfChar(int charnum)`.
`static float` | `getSubStringLength(org.w3c.dom.Element elt, int charnum, int nchars)` To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.
`static void` | `selectSubString(org.w3c.dom.Element elt, int charnum, int nchars)` To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTextContentSupport

    public SVGTextContentSupport()

Method Detail

### getNumberOfChars

    public static int getNumberOfChars(org.w3c.dom.Element elt)

  To implement `SVGTextContentElement.getNumberOfChars()`.

### getExtentOfChar

    public static SVGRect getExtentOfChar(org.w3c.dom.Element elt,
                                          int charnum)

  To implement `SVGTextContentElement.getExtentOfChar(int charnum)`.

### getExtent

    protected static java.awt.geom.Rectangle2D getExtent(SVGOMElement svgelt,
                                                         SVGTextContent context,
                                                         int charnum)

### getStartPositionOfChar

    public static SVGPoint getStartPositionOfChar(org.w3c.dom.Element elt,
                                                  int charnum)
                                           throws org.w3c.dom.DOMException

  To implement `SVGTextContentElement.getStartPositionOfChar(int charnum)`.

  Throws:
    `org.w3c.dom.DOMException`

### getStartPos

    protected static java.awt.geom.Point2D getStartPos(SVGOMElement svgelt,
                                                       SVGTextContent context,
                                                       int charnum)

### getEndPositionOfChar

    public static SVGPoint getEndPositionOfChar(org.w3c.dom.Element elt,
                                                int charnum)
                                         throws org.w3c.dom.DOMException

  To implement `SVGTextContentElement.getEndPositionOfChar(int charnum)`.

  Throws:
    `org.w3c.dom.DOMException`

### getEndPos

    protected static java.awt.geom.Point2D getEndPos(SVGOMElement svgelt,
                                                     SVGTextContent context,
                                                     int charnum)

### selectSubString

    public static void selectSubString(org.w3c.dom.Element elt,
                                       int charnum,
                                       int nchars)

  To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.

### getRotationOfChar

    public static float getRotationOfChar(org.w3c.dom.Element elt,
                                          int charnum)

  To implement `SVGTextContentElement.getRotationOfChar(int charnum)`.

### getComputedTextLength

    public static float getComputedTextLength(org.w3c.dom.Element elt)

  To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.

### getSubStringLength

    public static float getSubStringLength(org.w3c.dom.Element elt,
                                           int charnum,
                                           int nchars)

  To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.

### getCharNumAtPosition

    public static int getCharNumAtPosition(org.w3c.dom.Element elt,
                                           float x,
                                           float y)
                                    throws org.w3c.dom.DOMException

  To implement `SVGTextContentElement.getCharNumAtPosition(SVGPoint point)`.

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.